/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "gvn-null.h"

/**
 * SECTION: gvn-null
 * @Short_description: a boxed type to represent a null-valued #GValue
 * @Title: GvnNull
 **/
 
static GvnNull * gvn_null_copy (GvnNull * obj)
{
	return NULL;
}

static void gvn_null_free (GvnNull * obj) {}

G_DEFINE_BOXED_TYPE (GvnNull, gvn_null, gvn_null_copy, gvn_null_free);