/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_MODEL_H
#define VN_MODEL_H

#include <db/db.h>
#include <gtk/gtk.h>

#define VN_TYPE_MODEL				(vn_model_get_type ())
#define VN_MODEL(obj)				(G_TYPE_CHECK_INSTANCE_CAST (obj, VN_TYPE_MODEL, VnModel))
#define VN_IS_MODEL(obj)			(G_TYPE_CHECK_INSTANCE_TYPE (obj, VN_TYPE_MODEL))
#define VN_MODEL_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST (klass, VN_TYPE_MODEL, VnModelClass))
#define VN_IS_MODEL_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE (klass, VN_TYPE_MODEL))
#define VN_MODEL_GET_CLASS(obj)		(G_TYPE_INSTANCE_GET_CLASS (obj, VN_TYPE_MODEL, VnModelClass))

typedef struct _VnModel		VnModel;
typedef struct _VnModelClass VnModelClass; 

struct _VnModel
{
	DbModel model;
};

struct _VnModelClass
{
	DbModelClass parent;
};

GType vn_model_get_type ();

#endif
